Skip to main content
PATCH
/
feedbacks
/
:id
curl https://api.thanxsandbox.com/feedbacks/590485d6f0 \
  -X PATCH \
  -H "Content-Type: application/json"  \
  -H "Accept-Version: v4.0" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer ${token}" \
  -H "X-ClientId: ${client_id}" 
  -d '{
    "feedback": {
      "rating": 10,
      "review": "Lorem ipsum dolor sit amet"
    }
  }'
{
  "feedback": {
    "id": "590485d6f0",
    "user_id": "weorifsdf",
    "merchant_id": "9a1f0772c",
    "location_id": "fgr2349gh",
    "state": "reviewed",
    "expires_at": "2020-01-07T20:00:00Z",
    "rating": 10,
    "review": "Lorem ipsum dolor sit amet",
    "response": null,
    "purchase": {
      "id": "wourhfiwer",
      "purchased_at": "2020-01-01T20:00:00Z",
      "amount": 9.99,
      "order": {
        "id": "aepo3cme2p",
        "provider": "Toast"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.thanx.com/llms.txt

Use this file to discover all available pages before exploring further.

Please review proper request headers here.

Parameters

id
string
required
The feedback id

Parameters

rating
integer
required
NPS Score, 1-10
review
string
Customer feedback

Response

id
string
The ID of the feedback record
user_id
string
The user ID
merchant_id
string
The merchant ID
location_id
string
Location ID
state
enum
The state of the feedback record
  • unviewed - User has an opportunity to leave feedback for a purchase they have made, but has not been displayed the feedback prompt yet.
  • viewed - User viewed the opportunity to leave feedback, but they have not left a NPS or review yet.
  • expired - User did not leave a NPS or review before the feedback expired
  • rated - User has left a net promoter score
  • reviewed - User has left a review
  • responded - Merchant has responded to the user's feedback
expires_at
string
The feedback expiration time in ISO8601-format. Users cannot submit a rating or review for the associated purchase after this time has elapsed.
purchased_at
string
The ISO8601 timestamp of the purchase the feedback was associated with.
viewed_at
string
The ISO8601 timestamp the feedback was viewed by the consumer
rated_at
string
The ISO8601 timestamp the feedback was rated by the consumer
reviewed_at
string
The ISO8601 timestamp the feedback was reviewed by the consumer
responded_at
string
The ISO8601 timestamp the feedback was responded to by the merchant
rating
integer
NPS score (null or 1-10)
review
string
Customer feedback
response
string
Merchant response
purchase
hash
The associated purchase record
curl https://api.thanxsandbox.com/feedbacks/590485d6f0 \
  -X PATCH \
  -H "Content-Type: application/json"  \
  -H "Accept-Version: v4.0" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer ${token}" \
  -H "X-ClientId: ${client_id}" 
  -d '{
    "feedback": {
      "rating": 10,
      "review": "Lorem ipsum dolor sit amet"
    }
  }'
{
  "feedback": {
    "id": "590485d6f0",
    "user_id": "weorifsdf",
    "merchant_id": "9a1f0772c",
    "location_id": "fgr2349gh",
    "state": "reviewed",
    "expires_at": "2020-01-07T20:00:00Z",
    "rating": 10,
    "review": "Lorem ipsum dolor sit amet",
    "response": null,
    "purchase": {
      "id": "wourhfiwer",
      "purchased_at": "2020-01-01T20:00:00Z",
      "amount": 9.99,
      "order": {
        "id": "aepo3cme2p",
        "provider": "Toast"
      }
    }
  }
}